/**
 * generated by Xtext 2.19.0
 */
package fr.istic.mML;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Variables</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link fr.istic.mML.Variables#getPredictions <em>Predictions</em>}</li>
 *   <li>{@link fr.istic.mML.Variables#getTarget <em>Target</em>}</li>
 * </ul>
 *
 * @see fr.istic.mML.MMLPackage#getVariables()
 * @model
 * @generated
 */
public interface Variables extends EObject
{
  /**
   * Returns the value of the '<em><b>Predictions</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Predictions</em>' containment reference.
   * @see #setPredictions(Predictions)
   * @see fr.istic.mML.MMLPackage#getVariables_Predictions()
   * @model containment="true"
   * @generated
   */
  Predictions getPredictions();

  /**
   * Sets the value of the '{@link fr.istic.mML.Variables#getPredictions <em>Predictions</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Predictions</em>' containment reference.
   * @see #getPredictions()
   * @generated
   */
  void setPredictions(Predictions value);

  /**
   * Returns the value of the '<em><b>Target</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Target</em>' containment reference.
   * @see #setTarget(Target)
   * @see fr.istic.mML.MMLPackage#getVariables_Target()
   * @model containment="true"
   * @generated
   */
  Target getTarget();

  /**
   * Sets the value of the '{@link fr.istic.mML.Variables#getTarget <em>Target</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Target</em>' containment reference.
   * @see #getTarget()
   * @generated
   */
  void setTarget(Target value);

} // Variables
